Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class PersistentLocaleImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.PersistentLocaleImpl

All Implemented Interfaces:
  PersistentLocale

    public class PersistentLocaleImpl

extends java.lang.Object
implements PersistentLocale

Constructor Summary
`PersistentLocaleImpl(PerthreadManager perThreadManager, java.lang.String supportedLocales)`

Method Summary
`java.util.Locale` | `get()` Gets the locale obtained from the request, or null if the response did not indicate a specific locale (in which case the active locale may have been determined from request headers).
`boolean` | `isSet()`
`void` | `set(java.util.Locale locale)` Sets the locale value that will be encoded into the response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentLocaleImpl

    public PersistentLocaleImpl(PerthreadManager perThreadManager,
                                @Symbol(value="tapestry.supported-locales")
                                java.lang.String supportedLocales)

Method Detail

### set

    public void set(java.util.Locale locale)

  Description copied from interface: `PersistentLocale`
  Sets the locale value that will be encoded into the response. This must match a locale configured via `SymbolConstants.SUPPORTED_LOCALES`.

  Specified by:
    `set` in interface `PersistentLocale`

### get

    public java.util.Locale get()

  Description copied from interface: `PersistentLocale`
  Gets the locale obtained from the request, or null if the response did not indicate a specific locale (in which case the active locale may have been determined from request headers).

  Specified by:
    `get` in interface `PersistentLocale`

### isSet

    public boolean isSet()

  Specified by:
    `isSet` in interface `PersistentLocale`
  Returns:
    true if a locale was present in the request URL; false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.